POST
/
v1
/
proposals
Create a proposal from a template
curl --request POST \
--url https://api.propal.io/v1/proposals \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"slug": "<string>",
"template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lead_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"theme_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"password": "<string>",
"settings": {
"allow_client_to_sign": true,
"allow_client_to_deny": true,
"allow_payment": true,
"allow_client_to_download_pdf": true
},
"products": [
{
"bundle_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payment": {}
}
],
"proposal_product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.propal.io/v1/proposals"
payload = {
"title": "<string>",
"slug": "<string>",
"template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lead_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"theme_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"password": "<string>",
"settings": {
"allow_client_to_sign": True,
"allow_client_to_deny": True,
"allow_payment": True,
"allow_client_to_download_pdf": True
},
"products": [
{
"bundle_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payment": {}
}
],
"proposal_product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
slug: '<string>',
template_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
lead_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
theme_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
password: '<string>',
settings: {
allow_client_to_sign: true,
allow_client_to_deny: true,
allow_payment: true,
allow_client_to_download_pdf: true
},
products: [{bundle_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a', payment: {}}],
proposal_product_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.propal.io/v1/proposals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Authorizations
API key in format: pp_live_xxxxxxxxxxxxxxxxxxxxxxxx
Body
application/json
Minimum string length:
1Minimum string length:
1Available options:
fr, en Show child attributes
Show child attributes
Show child attributes
Show child attributes
UUID of an existing proposal_products row (NOT a bundle id) to attach to the new proposal.
Response
Created proposal
Was this page helpful?
⌘I
Create a proposal from a template
